Bug 115715 - FILEOPEN: RTF: Incorrect first line indent
Summary: FILEOPEN: RTF: Incorrect first line indent
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2 all versions
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.1.0 target:6.0.2
Keywords: bibisected, bisected, filter:rtf, regression
Depends on:
Blocks:
 
Reported: 2018-02-14 11:55 UTC by Xisco Faulí
Modified: 2018-02-28 09:40 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Comparison LibreOffice 6.1, MSO Word 2010 and LibreOffice 5.2 (206.12 KB, image/png)
2018-02-14 11:55 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-02-14 11:55:29 UTC
Created attachment 139900 [details]
Comparison LibreOffice 6.1, MSO Word 2010 and LibreOffice 5.2

This is a followup bug of bug 115242

Steps to reproduce:
1. Open attachment 139428 [details] from bug 115242

Observed behaviour: First line indent should be -3.43 ch but it's 0. See Comparison image

Reproduced in

Version: 6.1.0.0.alpha0+
Build ID: 03cee02464f230a2efa67d131c137f32fe540052
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 Xisco Faulí 2018-02-14 11:56:18 UTC
Regression introduced by:

author	Miklos Vajna <vmiklos@collabora.co.uk>	2016-01-26 13:21:28 +0100
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2016-01-26 13:21:54 +0100
commit	3915bf2dc877d5f1140798e24933db0f21386a4a (patch)
tree	bcc1034371fa11953556b3400f520ee593760727
parent	09e46424c510924bae09c6e0147095e2958fa009 (diff)
tdf#95376 DOCX import: fix incorrectly indented tab stops

Bisected with: bibisect-linux-64-5.2

Adding Cc: to Miklos Vajna
Comment 2 Vasu Garg 2018-02-15 05:18:09 UTC
I am doing this...
Comment 3 Xisco Faulí 2018-02-16 10:19:06 UTC
@Vasu Garg, do you plan to fix this ?
Comment 4 Commit Notification 2018-02-27 08:11:04 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=59363e639b67a8acbd6da240635de47921b2c955

tdf#115715 RTF import: ignore zero para indents in styles without parents

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-02-28 09:20:52 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7963353a816f22a66330923f90f500820784313a&h=libreoffice-6-0

tdf#115715 RTF import: ignore zero para indents in styles without parents

It will be available in 6.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2018-02-28 09:40:23 UTC
Verified in

Version: 6.1.0.0.alpha0+
Build ID: e2cb154195fdc2ffccdb6f5e87cae8b29640b3eb
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group